Get Compute Related Info

Get Compute Related Info
Get compute context (processes or user logins) for a VM

Returns a paginated list of context data discovered on the specified VM. The info_type field determines what is returned: PROCESS returns processes observed making flows on the VM; USER_LOGIN_INFO returns user login sessions detected on the VM.

Notes:

  • start_time is required. Either site_id or site_ids must also be provided.
  • info_type is required. Accepted values: PROCESS, USER_LOGIN_INFO.
  • filters accepts up to 300 filter entries. Supported filter keys for PROCESS: PROCESS_NAME, PROCESS_COMMAND_LINE, PROCESS_USER_NAME, PROCESS_HASH.
  • Obtain compute-id from the topology graph returned by POST /visualization/topology/compute-flow-topology, where each node represents a compute.
  • To see the flow records for this VM, use POST /visualization/flow-analysis/computes/{compute-id}/flow-details.
Request
URI
POST
https://{api_host}/intelligence/visualization/flow-analysis/computes/{compute-id}/related-info
COPY
Path Parameters
string
compute-id
Required  

External ID of the target VM.


Request Body

Wrapper request for ComputeIdRelatedInfo with restricted filter keys

VizComputeIdRelatedInfoRequest of type(s) application/json
Required  
This request body class requires all of the following: VizTimeIntervalListSiteRequest , InlineVizComputeIdRelatedInfoRequest1
{
    "start_time": 1778776019128,
    "site_id": "8c27e777-2917-447c-a68f-566b985fe546",
    "page_size": 50,
    "offset": 0,
    "info_type": "PROCESS"
}
Authentication
This operation uses the following authentication methods.
Responses
200

success

Returns RelatedInfoListResult of type(s) application/json
This response body class contains all of the following: VizTimeIntervalListResult , InlineRelatedInfoListResult1
{
    "offset": 0,
    "number_of_results": 3,
    "total_result_count": 3,
    "total_pages": 1,
    "time_interval": {
        "start_time": 1778776019128,
        "end_time": 1781454578208
    },
    "related_info_summary": {},
    "results": [
        {
            "info_type": "PROCESS",
            "id": "190437637358187950",
            "name": "http",
            "command_line": "/usr/lib/apt/methods/https ",
            "process_user_info": [
                {
                    "info_type": "UserEntity",
                    "id": "L-500357a3-3547-88ef-da8c-77e904e18a1a:112",
                    "name": "Unknown_L-500357a3-3547-88ef-da8c-77e904e18a1a:112",
                    "process_user_info": []
                }
            ],
            "sha256": "97bbaf6df382d59f77f14759dd6406979763a60d0334adcd56eb49861692ec5b",
            "flow_count": 1,
            "process_type": "CLIENT"
        },
        {
            "info_type": "PROCESS",
            "id": "15963114036118247623",
            "name": "python3.6",
            "command_line": "/usr/bin/python3 /usr/lib/ubuntu-release-upgrader/check-new-release -q ",
            "process_user_info": [
                {
                    "info_type": "UserEntity",
                    "id": "L-500357a3-3547-88ef-da8c-77e904e18a1a:0",
                    "name": "Unknown_L-500357a3-3547-88ef-da8c-77e904e18a1a:0",
                    "process_user_info": []
                }
            ],
            "sha256": "5e0c61520f859fea220cbe491c687b7a41f380050a5bcfd78b5917bcec921814",
            "flow_count": 1,
            "process_type": "CLIENT"
        },
        {
            "info_type": "PROCESS",
            "id": "13234635580981119049",
            "name": "http",
            "command_line": "/usr/lib/apt/methods/http ",
            "process_user_info": [
                {
                    "info_type": "UserEntity",
                    "id": "L-500357a3-3547-88ef-da8c-77e904e18a1a:112",
                    "name": "Unknown_L-500357a3-3547-88ef-da8c-77e904e18a1a:112",
                    "process_user_info": []
                }
            ],
            "sha256": "97bbaf6df382d59f77f14759dd6406979763a60d0334adcd56eb49861692ec5b",
            "flow_count": 1,
            "process_type": "CLIENT"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/flow-analysis/computes/{compute-id}/related-info